Arbor 3: FSM & BT Graph Editor 3.7.4

Public Member Functions | Public Attributes | Properties | List of all members
ConstraintableAttribute Class Reference

Attribute that specifies that it can be constrained to a derived class of ParameterReference More...

Inheritance diagram for ConstraintableAttribute:

## Public Member Functions
| ConstraintableAttribute ()
| Specify that it can be constrained More...
| ConstraintableAttribute (System.Type baseType)
| Specify that it can be constrained More...
bool | IsConstraintSatisfied (System.Type valueType)
| Determine whether the constraint is satisfied More...
override bool | IsConstraintSatisfied (Parameter parameter)
| Determine whether the constraint is satisfied More...

## Public Attributes
bool | isList = false
| Flag that constrains to IList<> only. More...

## Properties
System.Type | baseType`[get]`
| Base type of constraint More...

## Detailed Description

Attribute that specifies that it can be constrained to a derived class of ParameterReference

## Constructor & Destructor Documentation

## ◆ ConstraintableAttribute() [1/2]

ConstraintableAttribute | ( |  | ) |

Specify that it can be constrained

## ◆ ConstraintableAttribute() [2/2]

ConstraintableAttribute | ( | System.Type | baseType | ) |

Specify that it can be constrained

Parameters

  baseType | Base type of constraint

## Member Function Documentation

## ◆ IsConstraintSatisfied() [1/2]

override bool IsConstraintSatisfied | ( | Parameter | parameter | ) |
| virtual

Determine whether the constraint is satisfied

Parameters

  parameter | Determining parameter

Returns
  Returns true if the constraint is satisfied.

Implements ParameterConstraintAttributeBase.

## ◆ IsConstraintSatisfied() [2/2]

bool IsConstraintSatisfied | ( | System.Type | valueType | ) |

Determine whether the constraint is satisfied

Parameters

  valueType | Determining type

Returns
  Returns true if the constraint is satisfied.

Implements IConstraintableAttribute.

## Member Data Documentation

## ◆ isList

bool isList = false

Flag that constrains to IList<> only.

## Property Documentation

## ◆ baseType

System.Type baseType
| get

Base type of constraint